Subject: Re: Geomview & Cygwin setup
From: Lloyd Wood <[email-masked]>
To: Chris Elliott <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 28 Apr 2006 14:35:03 +0100

__CYGWIN__ is still valid under gcc version 3.4.4 (cygming special), 
as this test shows:

#include <stdio.h>

int main(void) {

printf("hello. Testing defines.\n");

#if defined(__CYGWIN__)
printf("__CYGWIN__");
#endif

#if defined(__CYGMING__)
printf("__CYGMING__");
#endif

}

lwood@lwood-wxp /home/lloyd
$ gcc -o cygtest cygwin.c

lwood@lwood-wxp /home/lloyd
$ ./cygtest
hello. Testing defines.
__CYGWIN__

(Why #define says __CYGWIN__ and gcc -v says something else is 
silly.) I suspect something has changed affecting the CYGWIN test in glob.c

L.

At Friday 2006-04-28 12:29 +0100, Lloyd Wood wrote:
>(adding in the geomview and cygwin lists.)
>
>Chris,
>
>Looking at the changes in:
>http://cvs.sourceforge.net/viewcvs.py/geomview/geomview/src/bin/animate/glob.c
>there are specific fixes for Cygwin portability that have been 
>included in Geomview 1.8.2 alpha that affect d_ino use; try changing 
>the sense of !defined(__CYGWIN__)  to just defined(__CYGWIN__)  and 
>see if that works with your compiler. I imagine it will.
>
>I see the output of gcc -v has changed in current cygwin:
>Thread model: posix
>gcc version 3.4.4 (cygming special) (gdc 0.12, using dmd 0.125)
>
>It used to be just e.g.:
>gcc version 3.3.3 (cygwin special)
>
>cygming, not cygwin? ('ming' is a strong insult in the UK. I get the 
>impression the writer doesn't like cygwin.) No idea what pre-release 
>gdc or dmd are, or where they've come from, or why I should care about them.
>
>It's awfully tempting to conclude that the compiler is screwing you 
>around (because the compiler's authors have been screwing it around, 
>because they hate Cygwin?), and you might want to to try an earlier 
>version of that. I also wonder if __CYGWIN__ is being defined and 
>picked up in the compiler environment correctly.
>
>I'm actually running Geomview 1.8.1 and Geomview 1.8.2-alpha on top 
>of cygwin base 1.5.19-4... but I compiled them on a much earlier 
>cygwin with an earlier version of gcc, and on an entirely different 
>machine that I recently migrated the files from. (I haven't tried 
>recompiling, and your note suggests I would be unwise to.)
>
>But I have compiled SaVi and Geomview on an earlier Cygwin;
>http://cvs.sourceforge.net/viewcvs.py/savi/savi-dev/README?rev=1.36&view=markup
>tells me the first base Cygwin I used successfully was 1.5.9-1, and 
>also lists the successful versions of gcc.
>
>cheers,
>
>L.
>
> > Hi Lloyd,
> >
> > I'm a masters student at UBC in Vancouver and I'm trying to get Geomview
> > installed on my Windows machine. I'm following the instructions that
> > you've posted via <http://geomview.org>geomview.org but my 
> compilation is running into an
> > error. It seems in glob.c (in directory
> > geomview-1.8.2-alpha/src/bin/animate) there is a reference to d_ino of
> > the dirent structure. Now from my research into fixing this it seems
> > that d_ino is not supported in version 1.5.19-4 but will be in 1.5.20, I
> > also tried with version 1.5.8-1 with the same result. Do you know of any
> > way I can get around this problem? I hope this is description is
> > satisfactory, if you need any clarification please let me know.
>
>Cheers,
>Chris Elliott
>
><http://www.ee.surrey.ac.uk/Personal/L.Wood><[email-masked]>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/